diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 0a124a0..5801f4a 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -427,6 +427,9 @@ Marcel Dekker, Inc (1990) ISBN 0-8247-8341-7
 S. Dalmas ``A polymorphic functional language applied to symbolic computation''
 In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2 
 (hard cover) LCCN QA76.95.I59 1992
+\bibitem[Dal88]{Dal88}
+Daly, Timothy ``Axiom in an Educational Setting''
+Axiom course slide deck January 1988
 \bibitem[Dal02]{Dal02}
 T. Daly ``Axiom as open source'' SIGSAM Bulletin (ACM Special Interest Group
 on Symbolic and Algebraic Manipulation) 36(1) pp28-?? March 2002
@@ -441,6 +444,12 @@ Daly, Timothy, "The Axiom Literate Documentation"
 Timothy Daly ``Axiom Volume 1: Tutorial'' Lulu, Inc. 860 Aviation Parkway,
 Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp
 \verb|http://www.lulu.com/content/190827|
+\bibitem[Dav79]{Dav79}
+Davenport, J.H. SPAD.SCRIPT
+VM/370 SPAD.SCRIPTS August 24, 1979
+\bibitem[Dav82]{Dav82}
+Davenport, J.H. ``On the Parallel Risch Algorithm (III): Use of Tangents''
+SIGSAM V16 no. 3 pp3-6 August 1982
 \bibitem[Dav89]{Dav89}
 J. H. Davenport, editor EUROCAL '87 European Conference on Computer Algebra
 Proceedings Springer-Verlag, Berlin, Germany / Heidelberg, Germany / London,
@@ -456,7 +465,7 @@ Report TR6/92 (ATR/4)(NP2493) Numerical Algorithms Group, Inc., Downer's
 Grove, IL, USA and Oxford, UK December 1992
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
 \bibitem[Dav93]{Dav93}
-J. H. davenport ``Primality testing revisited'' Technical Report TR2/93
+J. H. Davenport ``Primality testing revisited'' Technical Report TR2/93
 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
 and Oxford, UK, August 1993
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
@@ -470,6 +479,10 @@ Davenport, J. H., Siret, and Tournier ``Computer Algebra''  \hfill\\
 C. Dicrescenzo and D. Duval ``Algebraic extensions and algebraic closure in
 Scratchpad II'' In Gianni [Gia89], pp440-446 ISBN 3-540-51084-2
 LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
+\bibitem[Dev93]{Dev93}
+Pinch, R.G.E. ``Some Primality Testing Algorithms''
+Devlin, Keith (ed.)
+Computers and Mathematics November 1993, Vol 40, Number 9 pp1203-1210
 \bibitem[Dew94]{Dew94}
 Dewar, M. C. ``Manipulating Fortran Code in AXIOM and the AXIOM-NAG Link''
 Proceedings of the Workshop on Symbolic and Numeric Computing, ed by Apiola, H.
@@ -507,7 +520,7 @@ ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
 \bibitem[DST88]{DST88}
 J. H. Davenport, Y. Siret, and E. Tournier. Computer Algebra: Systems and
 Algorithms for Algebraic Computation. Academic Press, New York, NY, USA, 1988,
-ISBN 0-12-204230-1
+ISBN 0-12-204232-9
 \bibitem[DT90]{DT90}
 J. H. Davenport and B. M. Trager ``Scratchpad's view of algebra I: Basic
 commutative algebra'' In Miola [Mio90], pp40-54. ISBN 0-387-52531-9 (New York),
@@ -532,6 +545,14 @@ ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 Fateman, R. J. ``An incremental approach to building a mathematical \hfill\\
 expert out of software'' 4/19/2005\hfill\\
 \verb|www.cs.berkeley.edu/~fateman/papers/axiom.pdf|
+\bibitem[FD]{FDN00}
+Faure, Christ\'ele, Davenport, James
+``Parameters in Computer Algebra''
+\bibitem[FDN00]{FDN00}
+Faure, Christ\'ele, Davenport, James, Naciri, Hanane
+``Multi-values Computer Algebra''
+ISSN 0249-6399 Institut National De Recherche en Informatique et en
+Automatique Sept. 2000 No. 4001
 \bibitem[Fit84]{Fit84}
 J. P. Fitch, editor, EUROSAM '84: International Symposium on Symbolic and
 Algebraic Computation, Cambridge, England, July 9-11, 1984, volume 174 of
@@ -592,6 +613,10 @@ James H. Griesmer and Richard D. Jenks. ``SCRATCHPAD: A capsule view''
 ACM SIGPLAN Notices, 7(10) pp93-102, 1972. Proceedings of the symposium
 on Two-dimensional man-machine communications. Mark B. Wells and 
 James B. Morris (eds.).
+\bibitem[GJY75]{GJY75}
+Griesmer, J.H., Jenks, R.D., Yun, D.Y.Y 
+``SCRATCHPAD User's Manual''
+IBM Research Publication RA70 June 1975
 \bibitem[GKW03]{GKW03}
 Johannes Grabmeier, Erich Kaltofen, and Volker Weispfenning, editors.
 Computer algebra handbook: foundations, applications, systems.
@@ -626,6 +651,10 @@ J. Grabmeier and A. Scheerhorn ``Finite fields in Axiom'' AXIOM Technical
 Report TR7/92 (ATR/5)(NP2522), Numerical Algorithms Group, Inc., Downer's
 Grove, IL, USA and Oxford, UK, 1992
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Hec01]{Hec01}
+Heck, A. ``Variables in computer algebra, mathematics and science''
+The International Journal of Computer Algebra in Mathematics Education
+Vol. 8 No. 3 pp195-210 (2001)
 \bibitem[HP89]{HP89}
 L. Huguet and A. Poli, editors. Applied Algebra, Algebraic Algorithms and
 Error-Correcting Codes. 5th International Conference AAECC-5 Proceedings.
@@ -660,6 +689,9 @@ algebra'' In Golden and Hussain [GH84], pp409-??
 \bibitem[Jen84b]{Jen84b}
 Richard D. Jenks ``A primer: 11 keys to New Scratchpad'' In Fitch [Fit84],
 pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
+\bibitem[Jen88]{Jen88}
+Jenks, Richard ``The Scratchpad II Computer Algebra System Interactive
+Environment Users Guide'' Spring 1988
 \bibitem[JT81]{JT81}
 Jenks, R.D. and Trager, B.M. ``A Language for Computational Algebra''
 Proceedings of SYMSAC81, Symposium on Symbolic and Algebraic Manipulation,
@@ -791,6 +823,9 @@ Proceedings, volume 357 of Lecture Notes in Computer Science
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1989 ISBN 3-540-51083-4, LCCN QA268.A35 1988 Conference held jointly with
 ISSAC '88
+\bibitem[Mos71]{Mos71}
+Moses, Joel ``Algebraic Simplification: A Guide for the Perplexed''
+CACM August 1971 Vol 14 No. 8 pp527-537
 \bibitem[MR90]{MR90}
 E. Melachrinoudis and D. L. Rumpf ``Teaching advantages of transparent computer
 software -- MathCAD'' CoED, 10(1) pp71-76, January-March 1990 CODEN CWLJDP
@@ -798,6 +833,9 @@ ISSN 0736-8607
 \bibitem[Nor75]{Nor75}
 A. C. Norman ``Computing with formal power series'' ACM Transactions on
 Mathematical Software, 1(4) pp346-356 Dec. 1975 CODEN ACMSCU ISSN 0098-3500
+\bibitem[Nor75a]{Nor75a}
+Norman, A.C. ``The SCRATCHPAD Power Series Package''
+IBM T.J. Watson Research RC4998
 \bibitem[Oll89]{Oll89}
 F. Ollivier ``Inversibility of rational mappings and structural 
 identifiablility in automatics'' In ACM [ACM89], pp43-54 ISBN 0-89791-325-6
@@ -886,6 +924,10 @@ ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)
 Robert S. Sutor and Richard Jenks ``The type inference and coercion facilities
 in the Scratchpad II interpreter'' Research report RC 12595 (\#56575),
 IBM Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1987, 11pp
+\bibitem[Su87]{Su87}
+Sutor, Robert S. ``The Scratchpad II Computer Algebra System. Using and
+Programming the Interpreter'' IBM Course presentation slide deck
+Spring 1987
 \bibitem[Sme92]{Sme92}
 Trevor J. Smedley ``Using pictorial and object oriented programming for
 computer algebra'' In Hal Berghel et al., editors. Applied computing --
@@ -943,6 +985,13 @@ Stephen M. Watt, editor Proceedings of the 1991 International Symposium on
 Symbolic and Algebraic Computation, ISSAC'91, July 15-17, 1991, Bonn, Germany,
 ACM Press, New York, NY 10036, USA, 1991 ISBN 0-89791-437-6 
 LCCN QA76.95.I59 1991
+\bibitem[Wat94]{Wat94}
+Watt, Stephen M., Broadbery, Peter A., Dooley, Samuel S., and Iglio, Pietro
+``A First Report on the A\# Compiler (including benchmarks)''
+IBM Research Report RC19529 (85075) May 12, 1994
+\bibitem[Wat94a]{Wat94a}
+Watt, Stephen M., et. al. ``A\# User's Guide''
+Version 1.0.0 O($\epsilon{}^1$) June 8, 1994
 \bibitem[WJST90]{WJST90}
 S.M. Watt, R.D. Jenks, R.S. Sutor, and B.M. Trager. ``The Scratchpad II 
 type system: Domains and subdomains'' in A.M. Miola, editor Computing Tools
@@ -965,6 +1014,10 @@ New York, NY, 10036, USA. 1990 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 \bibitem[Yap00]{Yap00}
 Yap, Chee Keng ``Fundamental Problems of Algorithmic Algebra''
 Oxford University Press (2000) ISBN0-19-512516-9
+\bibitem[Yun83]{Yun83}
+Yun, David Y.Y. ``Computer Algebra and Complex Analysis''
+Computational Aspects of Complex Analysis pp379-393
+D. Reidel Publishing Company H. Werner et. al. (eds.)
 \bibitem[Zen92]{Zen92}
 Ch. Zenger. ``Gr{\"o}bnerbasen f{\"u}r Differentialformen und ihre
 Implementierung in AXIOM, Diplomarbeit, Universit{\"a}t Karlsruhe,
@@ -991,7 +1044,16 @@ Baker, Martin ``3D World Simulation''
 Laurent Bertrand. Computing a hyperelliptic integral using
 arithmetic in the jacobian of the curve. {\sl Applicable Algebra in
 Engineering, Communication and Computing}, 6:275-298, 1995
-\bibitem[Br98]{Br98}
+\bibitem[Bro88]{Bro88}
+Bronstein, Manual ``The Transcendental Risch Differential Equation''
+J. Symbolic Computation (1990) 9, pp49-60 Feb 1988
+\bibitem[Bro88a]{Bro88a}
+Bronstein, Manual ``The Transcendental Risch Differential Equation''
+IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
+\bibitem[Bro90]{Bro90}
+Bronstein, Manuel ``Integration of Elementary Functions''
+J. Symbolic Computation (199) 9, pp117-173 September 1988
+\bibitem[Bro98]{Bro98}
 Bronstein, Manuel "Symbolic Integration Tutorial"
 INRIA Sophia Antipolis ISSAC 1998 Rostock
 \bibitem[Bro90]{Bro90}
diff --git a/changelog b/changelog
index 1d8e5cc..0c01fbc 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,6 @@
-20110411 tpd src/axiom-website/patches.html 20110411.01.exs.patch
+20110411 tpd src/axiom-website/patches.html 20110411.02.tpd.patch
+20110411 tpd books/bookvolbib add several references
+20110411 tpd src/axiom-website/patches.html 20110411.01.tpd.patch
 20110411 tpd src/input/Makefile add davis.input
 20110411 tpd src/input/davis.input
 20110404 exs src/axiom-website/patches.html 20110404.01.exs.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6dfc409..8970a2d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3446,7 +3446,9 @@ In process, not yet released<br/><br/>
 src/axiom-website/download.html add ubuntu<br/>
 <a href="patches/20110404.01.exs.patch">20110404.01.exs.patch</a>
 books/bookvol0 replace "operator over" by "operate over"<br/>
-<a href="patches/20110411.01.exs.patch">20110411.01.exs.patch</a>
+<a href="patches/20110411.01.tpd.patch">20110411.01.tpd.patch</a>
 src/input/davis.input added<br/>
+<a href="patches/20110411.02.tpd.patch">20110411.02.tpd.patch</a>
+books/bookvolbib add several references<br/>
  </body>
 </html>
